#
# spec file for package python-toolz
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python3-%{**}}
%global skip_python2 1
Name:           python-toolz
Version:        0.12.0
Release:        1.7
Summary:        List processing tools and functional utilities for python
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/pytoolz/toolz/
Source:         https://files.pythonhosted.org/packages/source/t/toolz/toolz-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A set of python utility functions for iterators, functions, and dictionaries.

%prep
%setup -q -n toolz-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/toolz/
%{python_sitelib}/tlz/
%{python_sitelib}/toolz-%{version}*-info/

%changelog
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- update to version 0.12.0
  * Add apply (#411)
  * Support newer Python versions--up to Python 3.11-alpha (#525, #527, #533)
  * Improve warning when using toolz.compatibility (#485)
  * Improve documentation (#507, #524, #526, #530)
  * Improve performance of merge_with (#532)
  * Improve import times (#534)
  * Auto-upload new releases to PyPI (#536, #537)
* Thu Jan  6 2022 Ben Greiner <code@bnavigator.de>
- update to 0.11.2
  * Support Python 3.10
* Mon Mar  8 2021 Dirk Müller <dmueller@suse.com>
- update to 0.11.1:
  * drop python 2.x
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.10.0:
  * no upstream changelog
* Mon Jun  3 2019 Petr Gajdos <pgajdos@suse.com>
- run the testsuite, run spec-cleaner
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu May  3 2018 toddrme2178@gmail.com
- Update to 0.9.0
  * do not worry abount having good introspection on breakpoint
  * Backport fix to a test from cytoolz.
  * A slightly faster interposed.
  * Don't import or reference `toolz.curried.exceptions`.
* Sun Mar 11 2018 sebix+novell.com@sebix.at
- Use %%license macro for license.
* Sat Apr 15 2017 toddrme2178@gmail.com
- Update to 0.8.2
  * No upstream changelog
- Implement single-spec version
* Mon Aug 31 2015 toddrme2178@gmail.com
- Update to 0.7.4
  * No upstream changelog
* Wed May 20 2015 toddrme2178@gmail.com
- Update to 0.7.2
  * No upstream changelog
* Tue Mar  3 2015 toddrme2178@gmail.com
- Update to 0.7.1
  * Test `nth` with negative index on sequence and iterator.
  * Add itemmap, itemfilter to api doc.
  * Add `itemmap` and `itemfilter` to `dicttoolz`.
  * binstar: add more platforms/versions
  * add tail to itertoolz.__all__
  * take, drop, tail refer to each other in docstrings
  * test tail in lazy setting
  * fix tail doctest
  * last is a recipe of tail
  * add tail operation
  * pep8 space error fix
  * Identity doc string
  * add dissoc function to dictoolz
  * Describe the ideal contribution
  * reduceby takes callable init keyword argument
  * Add pypy3 to build matrix
  * getter works in empty index case
  * simpler check on index in get
  * get([], seq) returns ()
* Thu Sep 11 2014 toddrme2178@gmail.com
- Update to 0.7.0
  * No upstream changelog
* Fri May  9 2014 toddrme2178@gmail.com
- Update to 0.6.0
  * memoize is curried by default
  * memoize support `key` keyword argument
  * Cleaned up issues in curried namespace
  * Unary functions memoize with just the single argument, not a tuple
  * Flattened directory structure
  * Add `pluck` function from underscore.js
  * Remove `sandbox.jackknife`
- 0.5.3 Changelog
  * get_in function
  * add itervalues, iterkeys, iteritems to compatibility
  * Add do function, remove side_effects from sandbox
  * Add juxt, partner to map
  * Performance improvements to merge_with
  * Errors from curried functions propagate upwards
  * keyfilter, valfilter
  * do
* Sat Mar 29 2014 toddrme2178@gmail.com
- Update to version 0.5.3
  + No changelog available
* Sun Nov 17 2013 p.drouand@gmail.com
- Update to version 0.4.1
  + No changelog available
* Mon Oct 21 2013 toddrme2178@gmail.com
- Initial version (0.3.0)
